crash after letter

Bug #520612 reported by guyver.nkama on 2010-02-11
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
dk-milter (Debian)
Fix Released
Unknown
dk-milter (Ubuntu)
Undecided
Unassigned

Bug Description

dk-filter start
listen on localhost:8892

Feb 11 21:40:25 router dk-filter[11004]: Sendmail DomainKeys Filter v0.6.0 starting (args: -u dk-filter -P /var/run/dk-filter/dk-filter.pid -p inet:8892@localhost -l -k -d /etc/dkim.domains -s /etc/dk.keyslist -D -h -S mail)

but die after 1st outgoin letter

guyver.nkama (guyver-nkama) wrote :
Download full text (3.5 KiB)

mail.log

Feb 11 21:56:23 router dk-filter[11191]: Sendmail DomainKeys Filter v0.6.0 starting (args: -u dk-filter -P /var/run/dk-filter/dk-filter.pid -p inet:8892@localhost -l -k -d /etc/dkim.domains -s /etc/dk.keyslist -D -h -S mail)
Feb 11 21:56:55 router postfix/smtpd[11214]: connect from host-190-33.dialup.telecet.ru[87.117.190.33]
Feb 11 21:56:55 router postfix/smtpd[11214]: disconnect from host-190-33.dialup.telecet.ru[87.117.190.33]
Feb 11 21:56:56 router postfix/smtpd[11214]: connect from host-190-33.dialup.telecet.ru[87.117.190.33]
Feb 11 21:56:56 router postfix/smtpd[11214]: 5DDE4C685: client=host-190-33.dialup.telecet.ru[87.117.190.33], sasl_method=PLAIN, <email address hidden>
Feb 11 21:56:56 router postfix/cleanup[11222]: 5DDE4C685: message-id=<email address hidden>
Feb 11 21:56:56 router postfix/cleanup[11222]: warning: milter inet:localhost:8892: can't read SMFIC_EOH reply packet header: Success
Feb 11 21:56:56 router postfix/qmgr[9344]: 5DDE4C685: from=<email address hidden>, size=580, nrcpt=2 (queue active)
Feb 11 21:56:56 router postfix/smtpd[11214]: disconnect from host-190-33.dialup.telecet.ru[87.117.190.33]
Feb 11 21:56:59 router postfix/smtpd[11227]: connect from localhost[127.0.0.1]
Feb 11 21:56:59 router postfix/smtpd[11227]: warning: connect to Milter service inet:localhost:8892: Connection refused
Feb 11 21:56:59 router postfix/smtpd[11227]: 2548FC686: client=localhost[127.0.0.1]
Feb 11 21:56:59 router postfix/cleanup[11222]: 2548FC686: message-id=<email address hidden>
Feb 11 21:56:59 router postfix/qmgr[9344]: 2548FC686: from=<email address hidden>, size=1450, nrcpt=1 (queue active)
Feb 11 21:56:59 router postfix/smtpd[11227]: disconnect from localhost[127.0.0.1]
Feb 11 21:56:59 router postfix/smtpd[11227]: connect from localhost[127.0.0.1]
Feb 11 21:56:59 router postfix/smtpd[11227]: warning: connect to Milter service inet:localhost:8892: Connection refused
Feb 11 21:56:59 router postfix/smtpd[11227]: 322C9C687: client=localhost[127.0.0.1]
Feb 11 21:56:59 router postfix/cleanup[11222]: 322C9C687: message-id=<email address hidden>
Feb 11 21:56:59 router postfix/qmgr[9344]: 322C9C687: from=<email address hidden>, size=1650, nrcpt=1 (queue active)
Feb 11 21:56:59 router postfix/smtpd[11227]: disconnect from localhost[127.0.0.1]
Feb 11 21:56:59 router amavis[9206]: (09206-09) Passed CLEAN, [87.117.190.33] [87.117.190.33] <email address hidden> -> <email address hidden>,<email address hidden>, Message-ID: <email address hidden>, mail_id: t8lZzr2Xp9By, Hits: 4.016, size: 1016, queued_as: 2548FC686/322C9C687, 2756 ms
Feb 11 21:56:59 router postfix/smtp[11223]: 5DDE4C685: to=<email address hidden>, relay=127.0.0.1[127.0.0.1]:10024, delay=2.9, delays=0.14/0.01/0/2.8, dsn=2.0.0, status=sent (250 2.0.0 Ok: queued as 2548FC686)
Feb 11 21:56:59 router postfix/smtp[11223]: 5DDE4C685: to=<email address hidden>, relay=127.0.0.1[127.0.0.1]:10024, delay=2.9, delays=0.14/0.01/0/2.8, dsn=2.0.0, status=sent (250 2.0.0 Ok: queued as 2548FC686)
Feb 11 21:56:59 router postfix/qmgr[9344]: 5DDE4C685: removed
Feb 11 21:56:59 router postfix/pipe[11231]: 322C9C687: to=<email address hidden>, relay=dovecot, dela...

Read more...

Vladimir Kolesnikov (sjinks) wrote :

Could you please try the attached patch?

I had a similar issue a year ago and wrote that patch to resolve it.

tags: added: patch
Scott Kitterman (kitterman) wrote :

I've uploaded an updated dk-milter package to Debian as an NMU with this patch and I'll sync it for precise once it's available there.

Changed in dk-milter (Ubuntu):
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

This bug was fixed in the package dk-milter - 1.0.0.dfsg-1.2

---------------
dk-milter (1.0.0.dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing assertion failure change for case of missing key
    Closes: #481072, LP: #520612
    - Patch from 'guyver.nkama' via Launchpad
  * Really create $RUNDIR in init script if it doesn't exist (change from
    Ubuntu)
  * Add $remote_fs to Required-Start and Required-Stop in
    debian/dk-filter.init

 -- Scott Kitterman <email address hidden> Fri, 23 Mar 2012 00:51:38 -0400

dk-milter (1.0.0.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch from Ilya Barygin <email address hidden>, fix FTBFS, missing -lresolv in
    the libs, added in site.config.m4. Closes: #629661

 -- Konstantinos Margaritis <email address hidden> Wed, 01 Feb 2012 00:04:44 +0000

Changed in dk-milter (Ubuntu):
status: Fix Committed → Fix Released
Changed in dk-milter (Debian):
status: Unknown → Fix Released
Vladimir Kolesnikov (sjinks) wrote :

> - Patch from 'guyver.nkama' via Launchpad

The patch was actually from me :-)

Scott Kitterman (kitterman) wrote :

Sorry. I misread the bug log when I was preparing the update.

Thank you for the patch.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.